.navbar {
    display: flex;
    gap: 1em;
    background-color: teal;
}

.navbar a {
    font-family: sans-serif;
    font-weight: 500;
    color: white;
    text-decoration: none;
    padding: 1rem;
}

.navbar a:hover {
    background-color: rgba(255, 255, 255, 0.1);
}

.footer {
    font-family: sans-serif;
    background-color: whitesmoke;
    padding: 1em;
    text-align: center;
    border-top: 1px solid lightgray;
}
.custom-file-input::-webkit-file-upload-button {
    visibility: hidden;
}

.custom-file-input::before {
    content: 'Pilih File';
    display: inline-block;
    background: -webkit-linear-gradient(top, #f9f9f9, #e3e3e3);
    border: 1px solid #999;
    border-radius: 3px;
    padding: 5px 8px;
    outline: none;
    white-space: nowrap;
    -webkit-user-select: none;
    cursor: pointer;
    text-shadow: 1px 1px #fff;
    font-weight: 700;
    font-size: 10pt;
}

.custom-file-input:hover::before {
    border-color: black;
}

.custom-file-input:active::before {
    background: -webkit-linear-gradient(top, #e3e3e3, #f9f9f9);
}

.hero-pattern {
    background-color: rgba(0, 0, 0, 0.5); /* Overlay gelap */
    background-image: url('../images/pertanian.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-blend-mode: overlay; /* Blend mode untuk overlay */
}

.hero-text {
    color: white; /* Warna teks putih */
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8); /* Bayangan teks */
}
.truncate-text {
    display: -webkit-box;
    -webkit-line-clamp: 5; /* Number of lines to show */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.img-container img { 
    width: 100%;
    height: auto;
    object-fit: cover;
  }
  
  @media (max-width: 600px) {
    .img-container {
      max-height: 200px; /* Sesuaikan tinggi untuk layar kecil */
    }
  }
  
